Package com.orbbec.obsensor

## Class CameraParam

- java.lang.Object
- - com.orbbec.obsensor.CameraParam

    public class CameraParam
    extends java.lang.Object

Camera parameters

### Constructor Summary

Constructors
`CameraParam()`

### Method Summary

All Methods Instance Methods Concrete Methods
`CameraDistortion` `getColorDistortion()` Get color camera dewarping parameters
`CameraIntrinsic` `getColorIntrinsic()` Get color camera internal parameters
`D2CTransform` `getD2CTransform()` Get rotation/transformation matrix
`CameraDistortion` `getDepthDistortion()` Get depth camera distortion parameters
`CameraIntrinsic` `getDepthIntrinsic()` Get depth camera internal parameters
`boolean` `isMirrored()` Whether the image frame corresponding to this group of parameters is mirrored
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CameraParam

    public CameraParam()

### Method Detail

#### getDepthIntrinsic

    public CameraIntrinsic getDepthIntrinsic()

Get depth camera internal parameters

Returns:
  Returns the depth camera intrinsic parameter

#### getColorIntrinsic

    public CameraIntrinsic getColorIntrinsic()

Get color camera internal parameters

Returns:
  Returns the color camera intrinsic parameter

#### getDepthDistortion

    public CameraDistortion getDepthDistortion()

Get depth camera distortion parameters

Returns:
  Returns the depth camera distortion parameter

#### getColorDistortion

    public CameraDistortion getColorDistortion()

Get color camera dewarping parameters

Returns:
  Returns the color camera dewarping parameter

#### getD2CTransform

    public D2CTransform getD2CTransform()

Get rotation/transformation matrix

Returns:
  Rotation/Transformation matrix

#### isMirrored

    public boolean isMirrored()

Whether the image frame corresponding to this group of parameters is mirrored

Returns:
  Whether the image frame corresponding to this group of parameters is mirrored

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`